- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sockaddr_in Struct Reference

`#include <sockets.h>`

## Data Fields
in_addr | sin_addr
uInt8 | sin_family
uInt8 | sin_len
uInt16 | sin_port
char | sin_zero [8]

## Detailed Description

Definition at line 47 of file sockets.h.

## Field Documentation

struct in_addr sockaddr_in::sin_addr

Definition at line 51 of file sockets.h.

uInt8 sockaddr_in::sin_family

Definition at line 49 of file sockets.h.

uInt8 sockaddr_in::sin_len

Definition at line 48 of file sockets.h.

uInt16 sockaddr_in::sin_port

Definition at line 50 of file sockets.h.

char sockaddr_in::sin_zero[8]

Definition at line 52 of file sockets.h.

The documentation for this struct was generated from the following file:

- src/sys/include/net/sockets.h